

import App
import GlobalPropertyTemplates
# Setting up local templates.
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(5500.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.263715, 0.090409)
Hull.SetPosition2D(-1.000000, 9.000000)
Hull.SetRepairComplexity(2.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.400000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(4500.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.207877, 0.167267)
ShieldGenerator.SetPosition2D(3.000000, 110.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(0.050000)
ShieldGenerator.SetNormalPowerPerSecond(200.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 5000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 10.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(1800.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 0.472488, -0.049087)
SensorArray.SetPosition2D(129.000000, 108.000000)
SensorArray.SetRepairComplexity(2.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.065000)
SensorArray.SetNormalPowerPerSecond(100.000000)
SensorArray.SetBaseSensorRange(2000.000000)
SensorArray.SetMaxProbes(8)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(4500.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, -0.081139, -0.142923)
WarpCore.SetPosition2D(131.000000, 10.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.050000)
WarpCore.SetMainBatteryLimit(120000.000000)
WarpCore.SetBackupBatteryLimit(60000.000000)
WarpCore.SetMainConduitCapacity(800.000000)
WarpCore.SetBackupConduitCapacity(100.000000)
WarpCore.SetPowerOutput(600.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(1500.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, -0.081139, -0.142923)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.025000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.200000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(4.500000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(5000.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.500000, 0.100000)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(4.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.025000)
Phasers.SetNormalPowerPerSecond(100.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(3000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, -0.270161, -0.055313)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.025000)
WarpEngines.SetNormalPowerPerSecond(100.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(3000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.447707, -0.006908)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(2.000000)
Torpedoes.SetDisabledPercentage(0.500000)
Torpedoes.SetRadius(0.025000)
Torpedoes.SetNormalPowerPerSecond(50.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;1;Dual")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 150)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.TOSphotorp")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, -0.550186, -0.094198)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(2500.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, -0.530000, -0.094198)
ShuttleBay.SetPosition2D(62.000000, 82.000000)
ShuttleBay.SetRepairComplexity(3.000000)
ShuttleBay.SetDisabledPercentage(0.500000)
ShuttleBay.SetRadius(0.075000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(1800.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.060058, -0.197657, 0.098508)
PortImpulse.SetPosition2D(50.000000, 77.000000)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.030000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(1800.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.060058, -0.197657, 0.098508)
StarImpulse.SetPosition2D(78.000000, 77.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.030000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(1500.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.501069, -0.455947, -0.194079)
PortWarp.SetPosition2D(29.000000, 72.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.200000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(1500.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.501069, -0.455947, -0.194079)
StarWarp.SetPosition2D(98.000000, 72.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.200000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(4000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(1)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, -0.103979, -0.140520)
Engineering.SetPosition2D(61.000000, 58.000000)
Engineering.SetRepairComplexity(2.000000)
Engineering.SetDisabledPercentage(0.000000)
Engineering.SetRadius(0.050000)
Engineering.SetNormalPowerPerSecond(0.000000)
Engineering.SetMaxRepairPoints(36.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
ForwardTorp1 = App.TorpedoTubeProperty_Create("Forward Torp 1")

ForwardTorp1.SetMaxCondition(950.000000)
ForwardTorp1.SetCritical(0)
ForwardTorp1.SetTargetable(1)
ForwardTorp1.SetPrimary(1)
ForwardTorp1.SetPosition(0.000000, 0.547368, -0.036005)
ForwardTorp1.SetPosition2D(59.000000, 2.000000)
ForwardTorp1.SetRepairComplexity(3.000000)
ForwardTorp1.SetDisabledPercentage(0.500000)
ForwardTorp1.SetRadius(0.020000)
ForwardTorp1.SetDumbfire(1)
ForwardTorp1.SetWeaponID(0)
ForwardTorp1.SetGroups(17)
ForwardTorp1.SetDamageRadiusFactor(0.200000)
ForwardTorp1.SetIconNum(370)
ForwardTorp1.SetIconPositionX(71.000000)
ForwardTorp1.SetIconPositionY(19.000000)
ForwardTorp1.SetIconAboveShip(1)
ForwardTorp1.SetImmediateDelay(0.250000)
ForwardTorp1.SetReloadDelay(40.000000)
ForwardTorp1.SetMaxReady(2)
ForwardTorp1Direction = App.TGPoint3()
ForwardTorp1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp1.SetDirection(ForwardTorp1Direction)
ForwardTorp1Right = App.TGPoint3()
ForwardTorp1Right.SetXYZ(-1.000000, 0.000000, 0.000000)
ForwardTorp1.SetRight(ForwardTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp1)
#################################################
ForwardTorp2 = App.TorpedoTubeProperty_Create("Forward Torp 2")

ForwardTorp2.SetMaxCondition(950.000000)
ForwardTorp2.SetCritical(0)
ForwardTorp2.SetTargetable(1)
ForwardTorp2.SetPrimary(1)
ForwardTorp2.SetPosition(0.000000, 0.547368, -0.036005)
ForwardTorp2.SetPosition2D(69.000000, 2.000000)
ForwardTorp2.SetRepairComplexity(3.000000)
ForwardTorp2.SetDisabledPercentage(0.500000)
ForwardTorp2.SetRadius(0.020000)
ForwardTorp2.SetDumbfire(1)
ForwardTorp2.SetWeaponID(1)
ForwardTorp2.SetGroups(17)
ForwardTorp2.SetDamageRadiusFactor(0.200000)
ForwardTorp2.SetIconNum(370)
ForwardTorp2.SetIconPositionX(81.000000)
ForwardTorp2.SetIconPositionY(19.000000)
ForwardTorp2.SetIconAboveShip(1)
ForwardTorp2.SetImmediateDelay(0.250000)
ForwardTorp2.SetReloadDelay(40.000000)
ForwardTorp2.SetMaxReady(2)
ForwardTorp2Direction = App.TGPoint3()
ForwardTorp2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp2.SetDirection(ForwardTorp2Direction)
ForwardTorp2Right = App.TGPoint3()
ForwardTorp2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp2.SetRight(ForwardTorp2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp2)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(1200.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, 0.027240, -0.131508)
Tractors.SetPosition2D(120.000000, 120.000000)
Tractors.SetRepairComplexity(4.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.025000)
Tractors.SetNormalPowerPerSecond(600.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
Hawkins_TOS = App.ShipProperty_Create("Hawkins_TOS")

Hawkins_TOS.SetGenus(1)
Hawkins_TOS.SetSpecies(103)
Hawkins_TOS.SetMass(75.000000)
Hawkins_TOS.SetRotationalInertia(3500.000000)
Hawkins_TOS.SetShipName("Hawkins_TOS")
Hawkins_TOS.SetModelFilename("data/Models/Ships/Hawkins_TOS/Hawkins_TOS.nif")
Hawkins_TOS.SetDamageResolution(10.000000)
Hawkins_TOS.SetAffiliation(0)
Hawkins_TOS.SetStationary(0)
Hawkins_TOS.SetAIString("FedAttack")
Hawkins_TOS.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Hawkins_TOS)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1200.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.000000, 0.574702, -0.025893)
ForwardTractor.SetPosition2D(60.000000, 10.000000)
ForwardTractor.SetRepairComplexity(4.000000)
ForwardTractor.SetDisabledPercentage(0.500000)
ForwardTractor.SetRadius(0.200000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(60.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.872665, 0.872665)
ForwardTractor.SetArcHeightAngles(-1.396263, 0.174533)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 1.200000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -0.570000, 0.000000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.700000, 0.480000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.700000, 0.480000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.480000, 0.300000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.480000, -0.070000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 0.480000, 0.300000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(4000.000000)
Bridge.SetCritical(0)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.000000, 0.480000, 0.255978)
Bridge.SetPosition2D(61.000000, 30.000000)
Bridge.SetRepairComplexity(3.000000)
Bridge.SetDisabledPercentage(0.000000)
Bridge.SetRadius(0.070000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(1200.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(0.000000, -0.561304, -0.144984)
AftTractor.SetPosition2D(63.000000, 113.000000)
AftTractor.SetRepairComplexity(4.000000)
AftTractor.SetDisabledPercentage(0.500000)
AftTractor.SetRadius(0.020000)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(1)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(60.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.785398, 0.785398)
AftTractor.SetArcHeightAngles(-0.785398, 0.785398)
AftTractor.SetTractorBeamWidth(0.300000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
VentralPhaserFwdA = App.PhaserProperty_Create("Ventral Phaser Fwd A")

VentralPhaserFwdA.SetMaxCondition(1000.000000)
VentralPhaserFwdA.SetCritical(0)
VentralPhaserFwdA.SetTargetable(1)
VentralPhaserFwdA.SetPrimary(1)
VentralPhaserFwdA.SetPosition(-0.012104, 0.663455, 0.010387)
VentralPhaserFwdA.SetPosition2D(48.000000, 0.000000)
VentralPhaserFwdA.SetRepairComplexity(3.000000)
VentralPhaserFwdA.SetDisabledPercentage(0.500000)
VentralPhaserFwdA.SetRadius(0.025000)
VentralPhaserFwdA.SetDumbfire(0)
VentralPhaserFwdA.SetWeaponID(2)
VentralPhaserFwdA.SetGroups(0)
VentralPhaserFwdA.SetDamageRadiusFactor(0.100000)
VentralPhaserFwdA.SetIconNum(330)
VentralPhaserFwdA.SetIconPositionX(23.000000)
VentralPhaserFwdA.SetIconPositionY(30.000000)
VentralPhaserFwdA.SetIconAboveShip(0)
VentralPhaserFwdA.SetFireSound("Tos Phaser")
VentralPhaserFwdA.SetMaxCharge(3.000000)
VentralPhaserFwdA.SetMaxDamage(200.000000)
VentralPhaserFwdA.SetMaxDamageDistance(60.000000)
VentralPhaserFwdA.SetMinFiringCharge(1.500000)
VentralPhaserFwdA.SetNormalDischargeRate(1.000000)
VentralPhaserFwdA.SetRechargeRate(0.200000)
VentralPhaserFwdA.SetIndicatorIconNum(505)
VentralPhaserFwdA.SetIndicatorIconPositionX(29.000000)
VentralPhaserFwdA.SetIndicatorIconPositionY(28.000000)
VentralPhaserFwdAForward = App.TGPoint3()
VentralPhaserFwdAForward.SetXYZ(-0.447214, 0.894427, 0.000000)
VentralPhaserFwdAUp = App.TGPoint3()
VentralPhaserFwdAUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaserFwdA.SetOrientation(VentralPhaserFwdAForward, VentralPhaserFwdAUp)
VentralPhaserFwdA.SetWidth(0.002000)
VentralPhaserFwdA.SetLength(0.002000)
VentralPhaserFwdA.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaserFwdA.SetArcHeightAngles(1.570796, 0.000000)
VentralPhaserFwdA.SetPhaserTextureStart(0)
VentralPhaserFwdA.SetPhaserTextureEnd(7)
VentralPhaserFwdA.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaserFwdA.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaserFwdA.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VentralPhaserFwdA.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
VentralPhaserFwdA.SetInnerCoreColor(kColor)
VentralPhaserFwdA.SetNumSides(6)
VentralPhaserFwdA.SetMainRadius(0.075000)
VentralPhaserFwdA.SetTaperRadius(0.030000)
VentralPhaserFwdA.SetCoreScale(0.175000)
VentralPhaserFwdA.SetTaperRatio(0.250000)
VentralPhaserFwdA.SetTaperMinLength(5.000000)
VentralPhaserFwdA.SetTaperMaxLength(30.000000)
VentralPhaserFwdA.SetLengthTextureTilePerUnit(0.500000)
VentralPhaserFwdA.SetPerimeterTile(1.000000)
VentralPhaserFwdA.SetTextureSpeed(2.500000)
VentralPhaserFwdA.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaserFwdA)
#################################################
VentralPhaserFwdB = App.PhaserProperty_Create("Ventral Phaser Fwd B")

VentralPhaserFwdB.SetMaxCondition(1000.000000)
VentralPhaserFwdB.SetCritical(0)
VentralPhaserFwdB.SetTargetable(1)
VentralPhaserFwdB.SetPrimary(1)
VentralPhaserFwdB.SetPosition(0.012104, 0.663455, 0.010387)
VentralPhaserFwdB.SetPosition2D(77.000000, 0.000000)
VentralPhaserFwdB.SetRepairComplexity(3.000000)
VentralPhaserFwdB.SetDisabledPercentage(0.500000)
VentralPhaserFwdB.SetRadius(0.025000)
VentralPhaserFwdB.SetDumbfire(0)
VentralPhaserFwdB.SetWeaponID(2)
VentralPhaserFwdB.SetGroups(0)
VentralPhaserFwdB.SetDamageRadiusFactor(0.100000)
VentralPhaserFwdB.SetIconNum(350)
VentralPhaserFwdB.SetIconPositionX(81.000000)
VentralPhaserFwdB.SetIconPositionY(30.000000)
VentralPhaserFwdB.SetIconAboveShip(0)
VentralPhaserFwdB.SetFireSound("Tos Phaser")
VentralPhaserFwdB.SetMaxCharge(3.000000)
VentralPhaserFwdB.SetMaxDamage(200.000000)
VentralPhaserFwdB.SetMaxDamageDistance(60.000000)
VentralPhaserFwdB.SetMinFiringCharge(1.500000)
VentralPhaserFwdB.SetNormalDischargeRate(1.000000)
VentralPhaserFwdB.SetRechargeRate(0.200000)
VentralPhaserFwdB.SetIndicatorIconNum(506)
VentralPhaserFwdB.SetIndicatorIconPositionX(87.000000)
VentralPhaserFwdB.SetIndicatorIconPositionY(28.000000)
VentralPhaserFwdBForward = App.TGPoint3()
VentralPhaserFwdBForward.SetXYZ(0.447214, 0.894427, 0.000000)
VentralPhaserFwdBUp = App.TGPoint3()
VentralPhaserFwdBUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaserFwdB.SetOrientation(VentralPhaserFwdBForward, VentralPhaserFwdBUp)
VentralPhaserFwdB.SetWidth(0.002000)
VentralPhaserFwdB.SetLength(0.002000)
VentralPhaserFwdB.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaserFwdB.SetArcHeightAngles(1.570796, 0.000000)
VentralPhaserFwdB.SetPhaserTextureStart(0)
VentralPhaserFwdB.SetPhaserTextureEnd(7)
VentralPhaserFwdB.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaserFwdB.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaserFwdB.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VentralPhaserFwdB.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
VentralPhaserFwdB.SetInnerCoreColor(kColor)
VentralPhaserFwdB.SetNumSides(6)
VentralPhaserFwdB.SetMainRadius(0.075000)
VentralPhaserFwdB.SetTaperRadius(0.030000)
VentralPhaserFwdB.SetCoreScale(0.175000)
VentralPhaserFwdB.SetTaperRatio(0.250000)
VentralPhaserFwdB.SetTaperMinLength(5.000000)
VentralPhaserFwdB.SetTaperMaxLength(30.000000)
VentralPhaserFwdB.SetLengthTextureTilePerUnit(0.500000)
VentralPhaserFwdB.SetPerimeterTile(1.000000)
VentralPhaserFwdB.SetTextureSpeed(2.500000)
VentralPhaserFwdB.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaserFwdB)
#################################################
DorsalPhaserPortA = App.PhaserProperty_Create("Dorsal Phaser Port A")

DorsalPhaserPortA.SetMaxCondition(1000.000000)
DorsalPhaserPortA.SetCritical(0)
DorsalPhaserPortA.SetTargetable(1)
DorsalPhaserPortA.SetPrimary(1)
DorsalPhaserPortA.SetPosition(-0.261459, 0.485835, 0.170280)
DorsalPhaserPortA.SetPosition2D(8.000000, 20.000000)
DorsalPhaserPortA.SetRepairComplexity(3.000000)
DorsalPhaserPortA.SetDisabledPercentage(0.500000)
DorsalPhaserPortA.SetRadius(0.025000)
DorsalPhaserPortA.SetDumbfire(0)
DorsalPhaserPortA.SetWeaponID(2)
DorsalPhaserPortA.SetGroups(0)
DorsalPhaserPortA.SetDamageRadiusFactor(0.100000)
DorsalPhaserPortA.SetIconNum(361)
DorsalPhaserPortA.SetIconPositionX(11.000000)
DorsalPhaserPortA.SetIconPositionY(53.000000)
DorsalPhaserPortA.SetIconAboveShip(1)
DorsalPhaserPortA.SetFireSound("Tos Phaser")
DorsalPhaserPortA.SetMaxCharge(3.000000)
DorsalPhaserPortA.SetMaxDamage(200.000000)
DorsalPhaserPortA.SetMaxDamageDistance(60.000000)
DorsalPhaserPortA.SetMinFiringCharge(1.500000)
DorsalPhaserPortA.SetNormalDischargeRate(1.000000)
DorsalPhaserPortA.SetRechargeRate(0.200000)
DorsalPhaserPortA.SetIndicatorIconNum(508)
DorsalPhaserPortA.SetIndicatorIconPositionX(9.000000)
DorsalPhaserPortA.SetIndicatorIconPositionY(53.000000)
DorsalPhaserPortAForward = App.TGPoint3()
DorsalPhaserPortAForward.SetXYZ(-0.894427, 0.447214, 0.000000)
DorsalPhaserPortAUp = App.TGPoint3()
DorsalPhaserPortAUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserPortA.SetOrientation(DorsalPhaserPortAForward, DorsalPhaserPortAUp)
DorsalPhaserPortA.SetWidth(0.002000)
DorsalPhaserPortA.SetLength(0.002000)
DorsalPhaserPortA.SetArcWidthAngles(-0.785398, 0.523599)
DorsalPhaserPortA.SetArcHeightAngles(1.570796, 0.000000)
DorsalPhaserPortA.SetPhaserTextureStart(0)
DorsalPhaserPortA.SetPhaserTextureEnd(7)
DorsalPhaserPortA.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserPortA.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserPortA.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserPortA.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserPortA.SetInnerCoreColor(kColor)
DorsalPhaserPortA.SetNumSides(6)
DorsalPhaserPortA.SetMainRadius(0.075000)
DorsalPhaserPortA.SetTaperRadius(0.030000)
DorsalPhaserPortA.SetCoreScale(0.175000)
DorsalPhaserPortA.SetTaperRatio(0.250000)
DorsalPhaserPortA.SetTaperMinLength(5.000000)
DorsalPhaserPortA.SetTaperMaxLength(30.000000)
DorsalPhaserPortA.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserPortA.SetPerimeterTile(1.000000)
DorsalPhaserPortA.SetTextureSpeed(2.500000)
DorsalPhaserPortA.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserPortA)
#################################################
DorsalPhaserPortB = App.PhaserProperty_Create("Dorsal Phaser Port B")

DorsalPhaserPortB.SetMaxCondition(1000.000000)
DorsalPhaserPortB.SetCritical(0)
DorsalPhaserPortB.SetTargetable(1)
DorsalPhaserPortB.SetPrimary(1)
DorsalPhaserPortB.SetPosition(-0.261456, 0.464109, 0.170704)
DorsalPhaserPortB.SetPosition2D(8.000000, 35.000000)
DorsalPhaserPortB.SetRepairComplexity(3.000000)
DorsalPhaserPortB.SetDisabledPercentage(0.500000)
DorsalPhaserPortB.SetRadius(0.025000)
DorsalPhaserPortB.SetDumbfire(0)
DorsalPhaserPortB.SetWeaponID(2)
DorsalPhaserPortB.SetGroups(0)
DorsalPhaserPortB.SetDamageRadiusFactor(0.100000)
DorsalPhaserPortB.SetIconNum(340)
DorsalPhaserPortB.SetIconPositionX(11.000000)
DorsalPhaserPortB.SetIconPositionY(65.000000)
DorsalPhaserPortB.SetIconAboveShip(0)
DorsalPhaserPortB.SetFireSound("Tos Phaser")
DorsalPhaserPortB.SetMaxCharge(3.000000)
DorsalPhaserPortB.SetMaxDamage(200.000000)
DorsalPhaserPortB.SetMaxDamageDistance(60.000000)
DorsalPhaserPortB.SetMinFiringCharge(1.500000)
DorsalPhaserPortB.SetNormalDischargeRate(1.000000)
DorsalPhaserPortB.SetRechargeRate(0.200000)
DorsalPhaserPortB.SetIndicatorIconNum(500)
DorsalPhaserPortB.SetIndicatorIconPositionX(9.000000)
DorsalPhaserPortB.SetIndicatorIconPositionY(74.000000)
DorsalPhaserPortBForward = App.TGPoint3()
DorsalPhaserPortBForward.SetXYZ(-0.894427, 0.447214, 0.000000)
DorsalPhaserPortBUp = App.TGPoint3()
DorsalPhaserPortBUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserPortB.SetOrientation(DorsalPhaserPortBForward, DorsalPhaserPortBUp)
DorsalPhaserPortB.SetWidth(0.002000)
DorsalPhaserPortB.SetLength(0.002000)
DorsalPhaserPortB.SetArcWidthAngles(-0.785398, 0.523599)
DorsalPhaserPortB.SetArcHeightAngles(1.570796, 0.000000)
DorsalPhaserPortB.SetPhaserTextureStart(0)
DorsalPhaserPortB.SetPhaserTextureEnd(7)
DorsalPhaserPortB.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserPortB.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserPortB.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserPortB.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserPortB.SetInnerCoreColor(kColor)
DorsalPhaserPortB.SetNumSides(6)
DorsalPhaserPortB.SetMainRadius(0.075000)
DorsalPhaserPortB.SetTaperRadius(0.030000)
DorsalPhaserPortB.SetCoreScale(0.175000)
DorsalPhaserPortB.SetTaperRatio(0.250000)
DorsalPhaserPortB.SetTaperMinLength(5.000000)
DorsalPhaserPortB.SetTaperMaxLength(30.000000)
DorsalPhaserPortB.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserPortB.SetPerimeterTile(1.000000)
DorsalPhaserPortB.SetTextureSpeed(2.500000)
DorsalPhaserPortB.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserPortB)
#################################################
DorsalPhaserStarB = App.PhaserProperty_Create("Dorsal Phaser Star B")

DorsalPhaserStarB.SetMaxCondition(1000.000000)
DorsalPhaserStarB.SetCritical(0)
DorsalPhaserStarB.SetTargetable(1)
DorsalPhaserStarB.SetPrimary(1)
DorsalPhaserStarB.SetPosition(0.261456, 0.464109, 0.170704)
DorsalPhaserStarB.SetPosition2D(114.000000, 35.000000)
DorsalPhaserStarB.SetRepairComplexity(3.000000)
DorsalPhaserStarB.SetDisabledPercentage(0.500000)
DorsalPhaserStarB.SetRadius(0.025000)
DorsalPhaserStarB.SetDumbfire(0)
DorsalPhaserStarB.SetWeaponID(2)
DorsalPhaserStarB.SetGroups(0)
DorsalPhaserStarB.SetDamageRadiusFactor(0.100000)
DorsalPhaserStarB.SetIconNum(360)
DorsalPhaserStarB.SetIconPositionX(117.000000)
DorsalPhaserStarB.SetIconPositionY(65.000000)
DorsalPhaserStarB.SetIconAboveShip(0)
DorsalPhaserStarB.SetFireSound("Tos Phaser")
DorsalPhaserStarB.SetMaxCharge(3.000000)
DorsalPhaserStarB.SetMaxDamage(200.000000)
DorsalPhaserStarB.SetMaxDamageDistance(60.000000)
DorsalPhaserStarB.SetMinFiringCharge(1.500000)
DorsalPhaserStarB.SetNormalDischargeRate(1.000000)
DorsalPhaserStarB.SetRechargeRate(0.200000)
DorsalPhaserStarB.SetIndicatorIconNum(503)
DorsalPhaserStarB.SetIndicatorIconPositionX(115.000000)
DorsalPhaserStarB.SetIndicatorIconPositionY(74.000000)
DorsalPhaserStarBForward = App.TGPoint3()
DorsalPhaserStarBForward.SetXYZ(0.894427, 0.447214, 0.000000)
DorsalPhaserStarBUp = App.TGPoint3()
DorsalPhaserStarBUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserStarB.SetOrientation(DorsalPhaserStarBForward, DorsalPhaserStarBUp)
DorsalPhaserStarB.SetWidth(0.002000)
DorsalPhaserStarB.SetLength(0.002000)
DorsalPhaserStarB.SetArcWidthAngles(-0.523599, 0.785398)
DorsalPhaserStarB.SetArcHeightAngles(1.570796, 0.000000)
DorsalPhaserStarB.SetPhaserTextureStart(0)
DorsalPhaserStarB.SetPhaserTextureEnd(7)
DorsalPhaserStarB.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserStarB.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserStarB.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserStarB.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserStarB.SetInnerCoreColor(kColor)
DorsalPhaserStarB.SetNumSides(6)
DorsalPhaserStarB.SetMainRadius(0.075000)
DorsalPhaserStarB.SetTaperRadius(0.030000)
DorsalPhaserStarB.SetCoreScale(0.175000)
DorsalPhaserStarB.SetTaperRatio(0.250000)
DorsalPhaserStarB.SetTaperMinLength(5.000000)
DorsalPhaserStarB.SetTaperMaxLength(30.000000)
DorsalPhaserStarB.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserStarB.SetPerimeterTile(1.000000)
DorsalPhaserStarB.SetTextureSpeed(2.500000)
DorsalPhaserStarB.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserStarB)
#################################################
DorsalPhaserStarA = App.PhaserProperty_Create("Dorsal Phaser Star A")

DorsalPhaserStarA.SetMaxCondition(1000.000000)
DorsalPhaserStarA.SetCritical(0)
DorsalPhaserStarA.SetTargetable(1)
DorsalPhaserStarA.SetPrimary(1)
DorsalPhaserStarA.SetPosition(0.261459, 0.485835, 0.170280)
DorsalPhaserStarA.SetPosition2D(114.000000, 20.000000)
DorsalPhaserStarA.SetRepairComplexity(3.000000)
DorsalPhaserStarA.SetDisabledPercentage(0.500000)
DorsalPhaserStarA.SetRadius(0.025000)
DorsalPhaserStarA.SetDumbfire(0)
DorsalPhaserStarA.SetWeaponID(2)
DorsalPhaserStarA.SetGroups(0)
DorsalPhaserStarA.SetDamageRadiusFactor(0.100000)
DorsalPhaserStarA.SetIconNum(362)
DorsalPhaserStarA.SetIconPositionX(129.000000)
DorsalPhaserStarA.SetIconPositionY(53.000000)
DorsalPhaserStarA.SetIconAboveShip(1)
DorsalPhaserStarA.SetFireSound("Tos Phaser")
DorsalPhaserStarA.SetMaxCharge(3.000000)
DorsalPhaserStarA.SetMaxDamage(200.000000)
DorsalPhaserStarA.SetMaxDamageDistance(60.000000)
DorsalPhaserStarA.SetMinFiringCharge(1.500000)
DorsalPhaserStarA.SetNormalDischargeRate(1.000000)
DorsalPhaserStarA.SetRechargeRate(0.200000)
DorsalPhaserStarA.SetIndicatorIconNum(509)
DorsalPhaserStarA.SetIndicatorIconPositionX(128.000000)
DorsalPhaserStarA.SetIndicatorIconPositionY(53.000000)
DorsalPhaserStarAForward = App.TGPoint3()
DorsalPhaserStarAForward.SetXYZ(0.894427, 0.447214, 0.000000)
DorsalPhaserStarAUp = App.TGPoint3()
DorsalPhaserStarAUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserStarA.SetOrientation(DorsalPhaserStarAForward, DorsalPhaserStarAUp)
DorsalPhaserStarA.SetWidth(0.002000)
DorsalPhaserStarA.SetLength(0.002000)
DorsalPhaserStarA.SetArcWidthAngles(-0.523599, 0.785398)
DorsalPhaserStarA.SetArcHeightAngles(1.570796, 0.000000)
DorsalPhaserStarA.SetPhaserTextureStart(0)
DorsalPhaserStarA.SetPhaserTextureEnd(7)
DorsalPhaserStarA.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserStarA.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserStarA.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserStarA.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserStarA.SetInnerCoreColor(kColor)
DorsalPhaserStarA.SetNumSides(6)
DorsalPhaserStarA.SetMainRadius(0.075000)
DorsalPhaserStarA.SetTaperRadius(0.030000)
DorsalPhaserStarA.SetCoreScale(0.175000)
DorsalPhaserStarA.SetTaperRatio(0.250000)
DorsalPhaserStarA.SetTaperMinLength(5.000000)
DorsalPhaserStarA.SetTaperMaxLength(30.000000)
DorsalPhaserStarA.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserStarA.SetPerimeterTile(1.000000)
DorsalPhaserStarA.SetTextureSpeed(2.500000)
DorsalPhaserStarA.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserStarA)
#################################################
DorsalPhaserAftA = App.PhaserProperty_Create("Dorsal Phaser Aft A")

DorsalPhaserAftA.SetMaxCondition(1000.000000)
DorsalPhaserAftA.SetCritical(0)
DorsalPhaserAftA.SetTargetable(1)
DorsalPhaserAftA.SetPrimary(1)
DorsalPhaserAftA.SetPosition(-0.012563, -0.511994, -0.027970)
DorsalPhaserAftA.SetPosition2D(53.000000, 87.000000)
DorsalPhaserAftA.SetRepairComplexity(3.000000)
DorsalPhaserAftA.SetDisabledPercentage(0.500000)
DorsalPhaserAftA.SetRadius(0.025000)
DorsalPhaserAftA.SetDumbfire(0)
DorsalPhaserAftA.SetWeaponID(2)
DorsalPhaserAftA.SetGroups(0)
DorsalPhaserAftA.SetDamageRadiusFactor(0.100000)
DorsalPhaserAftA.SetIconNum(335)
DorsalPhaserAftA.SetIconPositionX(23.000000)
DorsalPhaserAftA.SetIconPositionY(91.000000)
DorsalPhaserAftA.SetIconAboveShip(1)
DorsalPhaserAftA.SetFireSound("Tos Phaser")
DorsalPhaserAftA.SetMaxCharge(3.000000)
DorsalPhaserAftA.SetMaxDamage(200.000000)
DorsalPhaserAftA.SetMaxDamageDistance(60.000000)
DorsalPhaserAftA.SetMinFiringCharge(1.500000)
DorsalPhaserAftA.SetNormalDischargeRate(1.000000)
DorsalPhaserAftA.SetRechargeRate(0.200000)
DorsalPhaserAftA.SetIndicatorIconNum(514)
DorsalPhaserAftA.SetIndicatorIconPositionX(36.000000)
DorsalPhaserAftA.SetIndicatorIconPositionY(94.000000)
DorsalPhaserAftAForward = App.TGPoint3()
DorsalPhaserAftAForward.SetXYZ(-0.447214, -0.894427, 0.000000)
DorsalPhaserAftAUp = App.TGPoint3()
DorsalPhaserAftAUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserAftA.SetOrientation(DorsalPhaserAftAForward, DorsalPhaserAftAUp)
DorsalPhaserAftA.SetWidth(0.002000)
DorsalPhaserAftA.SetLength(0.002000)
DorsalPhaserAftA.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaserAftA.SetArcHeightAngles(1.570796, 0.174533)
DorsalPhaserAftA.SetPhaserTextureStart(0)
DorsalPhaserAftA.SetPhaserTextureEnd(7)
DorsalPhaserAftA.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserAftA.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserAftA.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserAftA.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserAftA.SetInnerCoreColor(kColor)
DorsalPhaserAftA.SetNumSides(6)
DorsalPhaserAftA.SetMainRadius(0.075000)
DorsalPhaserAftA.SetTaperRadius(0.030000)
DorsalPhaserAftA.SetCoreScale(0.175000)
DorsalPhaserAftA.SetTaperRatio(0.250000)
DorsalPhaserAftA.SetTaperMinLength(5.000000)
DorsalPhaserAftA.SetTaperMaxLength(30.000000)
DorsalPhaserAftA.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserAftA.SetPerimeterTile(1.000000)
DorsalPhaserAftA.SetTextureSpeed(2.500000)
DorsalPhaserAftA.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserAftA)
#################################################
DorsalPhaserAftB = App.PhaserProperty_Create("Dorsal Phaser Aft B")

DorsalPhaserAftB.SetMaxCondition(1000.000000)
DorsalPhaserAftB.SetCritical(0)
DorsalPhaserAftB.SetTargetable(1)
DorsalPhaserAftB.SetPrimary(1)
DorsalPhaserAftB.SetPosition(0.012563, -0.511994, -0.027970)
DorsalPhaserAftB.SetPosition2D(74.000000, 87.000000)
DorsalPhaserAftB.SetRepairComplexity(3.000000)
DorsalPhaserAftB.SetDisabledPercentage(0.500000)
DorsalPhaserAftB.SetRadius(0.025000)
DorsalPhaserAftB.SetDumbfire(0)
DorsalPhaserAftB.SetWeaponID(2)
DorsalPhaserAftB.SetGroups(0)
DorsalPhaserAftB.SetDamageRadiusFactor(0.100000)
DorsalPhaserAftB.SetIconNum(355)
DorsalPhaserAftB.SetIconPositionX(81.000000)
DorsalPhaserAftB.SetIconPositionY(91.000000)
DorsalPhaserAftB.SetIconAboveShip(1)
DorsalPhaserAftB.SetFireSound("Tos Phaser")
DorsalPhaserAftB.SetMaxCharge(3.000000)
DorsalPhaserAftB.SetMaxDamage(200.000000)
DorsalPhaserAftB.SetMaxDamageDistance(60.000000)
DorsalPhaserAftB.SetMinFiringCharge(1.500000)
DorsalPhaserAftB.SetNormalDischargeRate(1.000000)
DorsalPhaserAftB.SetRechargeRate(0.200000)
DorsalPhaserAftB.SetIndicatorIconNum(515)
DorsalPhaserAftB.SetIndicatorIconPositionX(94.000000)
DorsalPhaserAftB.SetIndicatorIconPositionY(94.000000)
DorsalPhaserAftBForward = App.TGPoint3()
DorsalPhaserAftBForward.SetXYZ(0.447214, -0.894427, 0.000000)
DorsalPhaserAftBUp = App.TGPoint3()
DorsalPhaserAftBUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaserAftB.SetOrientation(DorsalPhaserAftBForward, DorsalPhaserAftBUp)
DorsalPhaserAftB.SetWidth(0.002000)
DorsalPhaserAftB.SetLength(0.002000)
DorsalPhaserAftB.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaserAftB.SetArcHeightAngles(1.570796, 0.174533)
DorsalPhaserAftB.SetPhaserTextureStart(0)
DorsalPhaserAftB.SetPhaserTextureEnd(7)
DorsalPhaserAftB.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserAftB.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaserAftB.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaserAftB.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaserAftB.SetInnerCoreColor(kColor)
DorsalPhaserAftB.SetNumSides(6)
DorsalPhaserAftB.SetMainRadius(0.075000)
DorsalPhaserAftB.SetTaperRadius(0.030000)
DorsalPhaserAftB.SetCoreScale(0.175000)
DorsalPhaserAftB.SetTaperRatio(0.250000)
DorsalPhaserAftB.SetTaperMinLength(5.000000)
DorsalPhaserAftB.SetTaperMaxLength(30.000000)
DorsalPhaserAftB.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaserAftB.SetPerimeterTile(1.000000)
DorsalPhaserAftB.SetTextureSpeed(2.500000)
DorsalPhaserAftB.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaserAftB)
#################################################
AftTorpedo1 = App.TorpedoTubeProperty_Create("Aft Torpedo 1")

AftTorpedo1.SetMaxCondition(950.000000)
AftTorpedo1.SetCritical(0)
AftTorpedo1.SetTargetable(1)
AftTorpedo1.SetPrimary(1)
AftTorpedo1.SetPosition(0.000000, -0.365223, -0.244954)
AftTorpedo1.SetPosition2D(67.000000, 92.000000)
AftTorpedo1.SetRepairComplexity(3.000000)
AftTorpedo1.SetDisabledPercentage(0.500000)
AftTorpedo1.SetRadius(0.020000)
AftTorpedo1.SetDumbfire(1)
AftTorpedo1.SetWeaponID(0)
AftTorpedo1.SetGroups(17)
AftTorpedo1.SetDamageRadiusFactor(0.200000)
AftTorpedo1.SetIconNum(370)
AftTorpedo1.SetIconPositionX(76.000000)
AftTorpedo1.SetIconPositionY(122.000000)
AftTorpedo1.SetIconAboveShip(1)
AftTorpedo1.SetImmediateDelay(0.250000)
AftTorpedo1.SetReloadDelay(40.000000)
AftTorpedo1.SetMaxReady(2)
AftTorpedo1Direction = App.TGPoint3()
AftTorpedo1Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorpedo1.SetDirection(AftTorpedo1Direction)
AftTorpedo1Right = App.TGPoint3()
AftTorpedo1Right.SetXYZ(1.000000, 0.000000, 0.000000)
AftTorpedo1.SetRight(AftTorpedo1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorpedo1)
#################################################
SensorArray2 = App.SensorProperty_Create("Sensor Array 2")

SensorArray2.SetMaxCondition(2500.000000)
SensorArray2.SetCritical(0)
SensorArray2.SetTargetable(1)
SensorArray2.SetPrimary(0)
SensorArray2.SetPosition(0.000000, -0.181545, 0.280000)
SensorArray2.SetPosition2D(129.000000, 108.000000)
SensorArray2.SetRepairComplexity(2.000000)
SensorArray2.SetDisabledPercentage(0.500000)
SensorArray2.SetRadius(0.200000)
SensorArray2.SetNormalPowerPerSecond(100.000000)
SensorArray2.SetBaseSensorRange(2500.000000)
SensorArray2.SetMaxProbes(8)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray2)

# Property load function.
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hawkins_TOS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser Fwd A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser Fwd B", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Port A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Port B", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Star B", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Star A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Aft A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser Aft B", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torpedo 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
